Debian Bug report logs - #692778
ITP: libtins -- C++ library for manipulating raw network packets

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Raúl Benencia <rul@kalgan.cc>

Date: Thu, 8 Nov 2012 18:30:02 UTC

Owned by: Raúl Benencia <rul@kalgan.cc>

Severity: wishlist

Fixed in version libtins/0.3-1

Done: Raúl Benencia <rul@kalgan.cc>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#692778; Package wnpp. (Thu, 08 Nov 2012 18:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raúl Benencia <rul@kalgan.cc>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Thu, 08 Nov 2012 18:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raúl Benencia <rul@kalgan.cc>
To: submit@bugs.debian.org
Subject: ITP: libtins -- C++ library for manipulating raw network packets
Date: Thu, 8 Nov 2012 15:27:22 -0300
[Message part 1 (text/plain, inline)]
Package: wnpp
Severity: wishlist

* Package name    : libtins
  Version         : 0.2
  Upstream author : Matías Fontanini <mfontanini@nasel.com.ar>
* URL             : http://libtins.sourceforge.net/
* License         : BSD
  Programming Lang: C++
  Description     : C++ library for manipulating raw network packets

This library main purpose is to provide the C++ developer an easy,
efficient, platform and endianess-independent way to create tools which
need to send, receive and manipulate specially crafted packets. Forging
packets using libtins is as simple as stacking different Protocol Data
Units objects. It depends on libpcap.
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Raúl Benencia <rul@kalgan.cc>. Request was from Bart Martens <bartm@quantz.debian.org> to control@bugs.debian.org. (Fri, 09 Nov 2012 04:24:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2013 07:09:04 GMT) Full text and rfc822 format available.

Reply sent to Raúl Benencia <rul@kalgan.cc>:
You have taken responsibility. (Sun, 07 Apr 2013 23:03:16 GMT) Full text and rfc822 format available.

Notification sent to Raúl Benencia <rul@kalgan.cc>:
Bug acknowledged by developer. (Sun, 07 Apr 2013 23:03:16 GMT) Full text and rfc822 format available.

Message #14 received at 692778-close@bugs.debian.org (full text, mbox):

From: Raúl Benencia <rul@kalgan.cc>
To: 692778-close@bugs.debian.org
Subject: Bug#692778: fixed in libtins 0.3-1
Date: Sun, 07 Apr 2013 23:00:08 +0000
Source: libtins
Source-Version: 0.3-1

We believe that the bug you reported is fixed in the latest version of
libtins, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692778@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raúl Benencia <rul@kalgan.cc> (supplier of updated libtins package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 02 Feb 2013 15:00:39 -0300
Source: libtins
Binary: libtins0 libtins-dev libtins0-dbg
Architecture: source amd64
Version: 0.3-1
Distribution: unstable
Urgency: low
Maintainer: Raúl Benencia <rul@kalgan.cc>
Changed-By: Raúl Benencia <rul@kalgan.cc>
Description: 
 libtins-dev - C++ library for manipulating raw network packets (development fil
 libtins0   - C++ library for manipulating raw network packets
 libtins0-dbg - C++ library for manipulating raw network packets (debug files)
Closes: 692778
Changes: 
 libtins (0.3-1) unstable; urgency=low
 .
   * Initial release (Closes: #692778)
Checksums-Sha1: 
 35367d02d722b87e93b39665ede999201152c59e 1952 libtins_0.3-1.dsc
 c6148d16674fec4499f8461662cd4ee00fbb7117 577058 libtins_0.3.orig.tar.gz
 5a817d3af4fb58437da2613f73c5b173ce42f29b 13251 libtins_0.3-1.debian.tar.gz
 1f00dafdb4152f6c8a6dd7d8018e7fc401473002 175866 libtins0_0.3-1_amd64.deb
 3e52267063d7a8505b55c60bdab27d867eb45bb2 90028 libtins-dev_0.3-1_amd64.deb
 f44a21080304d7f7defb74da6ed8bfd4ec6e7fb4 1537492 libtins0-dbg_0.3-1_amd64.deb
Checksums-Sha256: 
 1eb13c72d3d97c3c54003617d972ebb66be53f0070394996ebbd5c1de9c389de 1952 libtins_0.3-1.dsc
 1c5dbd96c5d3cbc6a72741ad61748250c91a843acfa3391d3c42ff2041d2c0d0 577058 libtins_0.3.orig.tar.gz
 2f7a3bbda7ab706ddd3ab4235badd9f207992d909771c05052159d4cc7d6e9ce 13251 libtins_0.3-1.debian.tar.gz
 01100402642593095778c91ab327ed6f40f45f8de457cf5892b2bfac147d6de1 175866 libtins0_0.3-1_amd64.deb
 b5b20dcfa4ae1ab869957476568cbcad5bd07fef2ee5046b04d14e54cf3cdf19 90028 libtins-dev_0.3-1_amd64.deb
 d494b959d26c306b794e67493748e52256f7ac069145cb53cf406ffc9808914f 1537492 libtins0-dbg_0.3-1_amd64.deb
Files: 
 5f58888eb162ad9605775259606ad54e 1952 libs extra libtins_0.3-1.dsc
 6d3150a5ca38f9ab2a09d51dc39c5c64 577058 libs extra libtins_0.3.orig.tar.gz
 7c9fa8a2c83b9e72503496b2e20ac36e 13251 libs extra libtins_0.3-1.debian.tar.gz
 2696d0a4487a6e79598e1f1f25d88b47 175866 libs extra libtins0_0.3-1_amd64.deb
 b107ee43d64abbe7e6ed41c4853782e5 90028 libdevel extra libtins-dev_0.3-1_amd64.deb
 9e0d24519580cb6c18e0400b1f699926 1537492 debug extra libtins0-dbg_0.3-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRDXNAAAoJEKtkX0BihqfQsA0QAKeJXI5jK4YHEJnCRhpvxojE
p71e1wZarNqeFV2pxZ+V0iQVUnbtVkpEgjgtMR5YIQlFCd/x5cf0D9mK3OdvudNM
ePxFkBczgAWUn0/0W3yNGGq0JfqtVwtPFeq7FvGJqOddREWtMbTi8x0G9WWk8gg/
RBcMDc/dQqiCrIHdCVUt5L1I3WnSmGjtqTdovb7aOZ4wveuJ1XMbiZD919Oom/C3
mhJ9eFVEHF/6emOZvR/e04XnUKHRifFW2cNy6NJQUl0F7y1A/SIAT2gQOTRYE5ay
TC7GbuME9VrBCJ3JBkYo8waFkY2L+FKMe7Sw8cJ5QIYjLCslUleke72ccm/nTma0
4m4kMRIb9CV58aHOZ5/DHlTnUtLVQtKRcsMcnT7bI/ZmSN+PIfZlPvqtnAdpTprO
7HLHSSkcUjLlgjjRxkQBBRdDeUCPUxTgOXIywCWnR17XxzrbBwei4Favyh2B+anz
m/CuUO0LPmWlc0V7F3epKsyOEe5GqgQ77Wmq+KH74pMaE/K/PiPJ6s5HajW41WDG
lYz8V+r9+T2/cSq8K7wVyKYaJ6CW7F3Se9OvGp+2edYEN3mTZfDGY6NSJttaS0zO
ZZhX9jCiAx7Y2oESlwOT1wVetJudMJ2Ti5gHrm6MqzoZeZyjhhzBtD3Pv515AJbP
1FhLvCN1sF+RlXYr+0Ey
=f/8t
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 23:34:28 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.